
// register definitions

#ifndef _REGISTERS_H_
#define _REGISTERS_H_

#define BMCR		0x00	//Basic Mode Control Register 
#define BMSR		0x01	//Basic Mode Status Register 
#define ANAR		0x04	//Auto-Negotiation Advertisement Register 
#define PHYCR		0x10	//PHY Control Register 
#define PDR	    	0x1f	//Power Down Register 
#define PHYSR	    0x11	//PHY Status Register 
#define REGCR	    0x0D	//Register Control Register
#define ADDAR	    0x0E	//Data Register
#define BISCR	    0x16	//BIST Control Register  
#define BISSR	    0x17	//BIST STATUS Register
#define B4	        0xB4	//analog register
#define B8	        0xB8	//analog register
#define BISPLR      0x7b    //BIST Packet Length Register
#define BISIPGR     0x7c    //BIST Inter Packet Gap Register
#define BISBCR      0x71    //BIST Byte Count Register
#define BISECR      0x72    //BIST Error Count Register
#define CDCR        0x1A    //Cable Diagnostic Registers
#define CDSR        0x1B    //Cable Diagnostic Status Register        
#define DSACR2      0xC27   //DSA Configuration Register 2 
#define CDPTC1R     0x0107  //CD Pre Test Configuration Control 1 
#define CDPTC2R     0x010F  //CD Pre Test Configuration Control 2 
#define CDRR        0x1C    //Cable Diagnostic Results Register
#define TDRCR       0xC01   //TDR Control Register
#define TDRLT3      0xC05   //TDR Low Threshold Register
#define TDRLT4      0xC06   //TDR Low Threshold Register
#define TDRHT1      0xC07   //TDR High Threshold Register
#define TDRHT2      0xC08   //TDR High Threshold Register
#define TDRHT3      0xC09   //TDR High Threshold Register
#define TDRHT4      0xC0A   //TDR High Threshold Register
#define TDRLCR1     0xC0B   //TDR Pattern Control Register 1
#define TDRSMR      0x80    //TDR State Machine Enable Register
#define TDRPAR      0x90    //TDR Pattern Amplitude Register

#endif // _REGISTERS_H_