
/*
 *  reset function, initiates 3 diffrent resets:       
 *  
 * software reset
 * global reset
 * common digital reset
 *
 *
 */


#include < stdio.h > 
#include < string.h >
#include "registers.h"
#include "read_write.h"
#include "status.h"




int reset_phy(int phy_id) // global + software reset to the chip
{
	  int error;
	  int bmcr_data, pdr_data;

	  bmcr_data = 0x8000 ;   //set bit 15 = 1 (sw reset)   		 
      error = phy_write(phy_id, BMCR, bmcr_data); //write
	  if (error < 0)
	  {		  
	      return error;
	  }

      pdr_data = 0x8000 ;   // set bit 15 = 1 (global reset) 		 
      error = phy_write(phy_id, PDR, pdr_data); //write 
	  if (error < 0)
	  {		  
	      return error;
	  }
      
      error = phy_write(phy_id, 0xD01, 0x4000); // common digital reset (bit 14 of reg 0xD01) 
	  if (error < 0)
	  {		  
	      return error;
	  }

      return 0;
}






