
/*
 *
 *  Status (status.c): reads the status of the PHY:
 *  Link: up/ down
 *	Speed: 100BT / 10BT
 *	Duplex: full / half
 *	Pair swap: MDI / MDI-X / Auto_MDI
 *
 */


#include < stdio.h >
#include < string.h >
#include "registers.h"
#include "status.h"
#include "read_write.h"
#include "settings.h"





int status(int phy_id,status_phy *status_output)
{
   // variable declarations
   int error = 0;
   int link = 0x0;
   int speed = 0x0;
   int duplex = 0x0;
   int pair = 0x0;
   int physr_data=0;
   
   //status_phy status3;

	physr_data = phy_read(phy_id, PHYSR); // physr_data holds the value of PHYSR
	if (physr_data < 0)// error
	{
		return error = physr_data;
	}

	link = physr_data & 0x0400 ;   // bit 10 link_status
    speed = physr_data & 0x4000 ;   // bit 14
    duplex = physr_data & 0x2000;    // bit 13
    pair = physr_data & 0x0100;    // bit 8
    link = link >> 10; //link status, shift right bit 10 'link bit'
    speed = speed >> 14; //
    duplex = duplex >> 13; //
    pair = pair >> 8; //
	
	status_output->link_status = link;
	status_output->speed_status = speed; 
	status_output->duplex_status = duplex;
	status_output->pair_swap = pair;

	return 0;

}

